Subject: bug#25303: 24.5; `write-region' enhancement request for MUSTBENEW parameter

From: Drew Adams <[email-masked]>
Date: Sat, 27 Jul 2019 10:02:49 -0700 (PDT)

> > If parameter MUSTBENEW is not `excl' and is non-nil then the user is
> > prompted to confirm overwriting.  The enhancement would be that if
> > the value is a string then use that as the confirmation prompt.
> >
> > The would allow for more specific prompting, such as saying something
> > more than that the file exists - something that can help the user decide
> > whether to overwrite.
> 
> I think that does make some sense, but do you have a specific scenario
> in mind?  What kind of prompt would help the user more than the
> standard prompt here?

I might have had a specific scenario in mind when
I filed the request 3 years ago, but if so it's
forgotten by now. ;-)  Especially since there's
no real workaround to realize the requested
behavior easily.

> > This is pretty much backward compatible:
> > In existing code it is likely that few,
> > if any, non-nil and non-`excl' arg values
> > are strings.  And in the case of any that are,
> > the use of the string as a prompt will make
> > things obvious to a maintainer, if not
> > immediately to the user.
> 
> It's a slightly non-compatible change, but I think it sounds unlikely
> to be bothersome (as you point out).
> 
> Anybody else have an opinion here?